use "N:\STATS\ELSA\STATA\DATA\wave_8_elsa_data_SL_Primary_v1.dta", clear
tab indsex
/* 8445 */

lab define cigst 0 "Never smoker" 1 "Ex-smoker" 2 "Current smoker"
lab define pa5level 0 "Sedentary" 4 "Active"
label define arthw8lbl 0 "No" 1 "Osteoarthritis" 2 "Rheumatoid arthritis" 3 "other kind of arthritis" 4 "Don't know"
label define alcohw8 0"Less than daily" 1"Daily (5/7 days week)"
label define dep 0 "No" 1"Yes"
label define nylab 0 "No" 1"Yes"
label define ynlab 0 "Yes" 1"No"
label define cohab   0"Married cohab" 1"Married not cohab" 2"Sep/divo cohab" 3"Sep/divo not cohab" 4"Widowed cohab" 5"Widowed not cohab" 6"Never married cohab" 7"Never married not cohab"



sum w8xwgt w8w1lwgt w8w4lwgt


merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\wave_8_elsa_nurse_data_SL_v1.dta"
tab _merge
drop if _merge==2
drop _merge

merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\Wave_8_financial_derived_variables.dta", ///
keepusing(nettotw_bu_s totinc_bu_s totinc_bu_s totwq5_bu_s yq5_bu_s)
drop if _merge==2 
drop _merge

merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\Wave_8_IFS_derived_variables.dta"
tab _merge
drop if _merge==2
drop _merge



/********************************/
/****	EMPLOYMENT STATUS	 ****/
/********************************/


tab wpdes, nolab
tab  wpactpw, nolab
tab  wpactpw
tab wpactse 
tab wpactvw 
tab wpactca 
tab wpactlo 
tab  wpacted 
 tab wpact96
 
*****CREATE LABOUR STATUS****.

gen  paidwork = 0
replace paidwork = 1 if wpactpw==1 
gen  selfempl = 0.
replace selfempl= 1 if wpactse==1 

gen  voluwork = 0
replace voluwork= 1 if wpactvw==1 

gen  careddis = 0
replace careddis= 1 if wpactca==1 

gen  lookfami= 0.
replace lookfami= 1 if wpactlo==1 

gen  noneofthese= 0
replace noneofthese= 1 if wpact96==1 


gen attcours=0
replace attcours=1 if wpacted==1 


gen refused =0
replace refused=1 if  wpactpw==-9 |  wpactse==-9 |  wpactvw==-9 |  wpactca==-9 |  wpactlo==-9 |  wpacted==-9 |  wpact96==-9   
tab  refused



gen retiredw8=2
replace retiredw8=1 if wpdes==1 & paidwork==0 & wpever==1 
replace retiredw8=2 if (paidwork==1 | selfempl==1) & (wpdes !=1)
replace retiredw8=1 if (wpdes==96 & paidwork==0)
replace retiredw8=2 if (wpdes==96 & paidwork==1 & wpdes !=1) 
replace retiredw8=3 if (wpdes==5 & paidwork==0 & lookfami==0) 
replace retiredw8=4 if wpdes==4 | (wpaway >= 1 & wpaway <= 3)
replace retiredw8=5 if(wpever==1 & wpdes !=1) 
replace retiredw8=6 if (wpdes==1 | wpdes==6) & (paidwork==0 & lookfami==1) 
replace retiredw8=1 if(noneofthese==1 & wpdes==1) 
replace retiredw8=2 if(noneofthese==1 & wpdes==2)
replace retiredw8=2 if(noneofthese==1 & wpdes==3) 
replace retiredw8=4 if(noneofthese==1 & wpdes==4) 
replace retiredw8=3 if(noneofthese==1 & wpdes==5) 
replace retiredw8=6 if(noneofthese==1 & wpdes==6 & paidwork==0 ) 
replace retiredw8=5 if refused==1| (wpdes >= 85 & wpdes <= 95) 
lab var retiredw8 "Retirement Status"
label define retiredw8 1 "Completely retired" 2 "In paid employment" 3 "Permanently unable to work" 4 "Not currently in paid employment" 5 "Other" 6 "looking after home or family"
lab val retiredw8 retiredw8
tab retiredw8


/********************************/
/****	  EDUCATION	 ****/
/********************************/


*regroup educational categories 
*Education variable - 5 category
tab edqual
tab indsex

gen edu5w8=edqual
recode edu5w8 1=1  2/3=2   4=3  5/6=4    7=5   -9=. -8=. -3=. -2=.
lab define edu5w8 1 "Degree or equivalent" 2 "A-lev/Higher educa. below degree " 3 "O level or other"  4 "CSE/other" 5 "No qualifications" 
lab var edu5w8 "5-group educational category"
lab val edu5w8 edu5w8
tab edu5w8


*Education variable - 3 category
gen edu3w8=edqual
recode edu3w8 1=1  2/6=2    7=3   -9=. -8=. -3=. -2=.
lab define edu3w8  1 "Degree" 2 "Intermediate" 3 "No qualifications" 
lab var edu3w8 "3-group educational category"
lab val edu3w8 edu3w8
tab edu3w8

label list edqual
/********************************/
/****	  MARITAL STATUS	 ****/
/********************************/

tab dimar 
tab dimar, nolab

tab  couple 
tab  couple , nolab

gen maritalw8=dimar
recode maritalw8 (1=4) (2/4=1) (5/6=2) (7=3) (8/11=1) (-9=.) (-8=.)
lab val maritalw8 marital
tab maritalw8

tab maritalw8 couple 


gen cohabw8=0
replace cohabw8=0 if ((maritalw8==1) & (couple==2)) 
replace cohabw8=1 if ((maritalw8==1) & ( couple==3)) 
replace cohabw8=2 if ((maritalw8==2) & ( couple==2)) 
 replace cohabw8=3 if ((maritalw8==2) & ( couple==3)) 
replace cohabw8=4 if ((maritalw8==3) & ( couple==2)) 
replace cohabw8=5 if ((maritalw8==3) & ( couple==3)) 
replace cohabw8=6 if ((maritalw8==4) & ( couple==2)) 
replace cohabw8=7 if ((maritalw8==4) & ( couple==3)) 
lab var cohabw8 "cohabiting status"

lab val cohabw8 cohab
tab cohabw8

gen livpartw8= cohabw8 
recode livpartw8 0=0 2=0 4=0 6=0 1=1 3=1 5=1 7=1
lab var  livpartw8 "whether or not living with partner"
lab val livpartw8 ynlab
tab livpartw8





/********************************/
/******   CHRONIC DISEASE  ******/
/********************************/

*** 1. CHD  ***

tab hedawan /* ANGINA Diagnosis fed forward from previous waves */
tab hedawmi /* MYOCARDIAL INFARCTION Diagnosis fed forward from previous waves */
tab hediman /* ANGINA Diagnosis newly reported */
tab hedimmi /* MYOCARDIAL INFARCTION Diagnosis newly reported */
gen chdw8=0 if hedawan==-1 & hedawmi==-1
replace chdw8=1 if hedawan==2 | hedawmi==3 | hediman==1 | hedimmi==1
/* In ELSA missing values are negative : 
-1	= Item not applicable
-9	= Refusal
-8  = Don't Know
-2  = Schedule not applicable
So we replace all negative values by a '.' to indicate missing */
replace chdw8=. if hediman<0 | hedimmi<0

rename hedawan hedawanw8
rename hedawmi hedawmiw8
rename hediman hedimanw8
rename hedimmi hedimmiw8

lab var chdw8 "diagnosed CHD"
lab val chdw8 nylab
tab chdw8

*** 2. Diabetes ***
tab hedawdi, nolab
tab hedimdi

gen diabetesw8=0 if hedawdi==-1
replace diabetesw8=1 if hedawdi==7 | hedimdi==1
replace diabetesw8=. if hedimdi<0

lab val diabetesw8 nylab
lab var  diabetesw8 "diagnosed diabetes"
tab diabetesw8

*** 3. Depression ***
tab hepsyde
gen depressw8=0
replace depressw8=1 if hepsyde ==1
replace depressw8=. if hedibps==-1

lab val depressw8 nylab
lab var  depressw8 "diagnosed depression"
tab depressw8

*** 4. Respiratory ***
tab hediblu
tab hedibas

tab hedbwas,nolab
tab hedbwlu,nolab
tab hedbwas hedbwlu

gen fedresp=0 
replace fedresp=1 if hedbwas==2 | hedbwlu==1
tab fedresp

gen respiratw8=0 if fedresp==0
replace respiratw8=1 if fedresp==1 | hediblu==1 | hedibas==1
replace respiratw8=. if  hediblu==. | hedibas==.

lab val respiratw8 nylab
lab var respiratw8 "asthma or lung disease"
tab respiratw8

*** 5. Stroke ***
gen strokew8=0
replace strokew8=1 if hedawst==8 |  hedimst==1
replace strokew8=. if hedimst<0

lab val strokew8 nylab
lab var strokew8 "diagnosed stroke"
tab strokew8


*** w8. Cancer ***
tab hedibca 
tab hedbwca, nolab

gen cancerw8=0 
replace cancerw8=1 if hedibca==1   | hedbwca==5
replace cancerw8=. if hedibca<0
lab val cancerw8 nylab
lab var cancerw8 "diagnosed cancer"
tab cancerw8


*** 7. Arthritis ***
tab hedbwar, nolab
tab hedibar
tab heartoa, nolab 
tab heartra 
tab heartot

gen arthritisw8=0
replace arthritisw8=1 if hedbwar==3 |  hedibar==1
replace arthritisw8=. if  hedibar<0
lab val arthritisw8 nylab
lab var arthritisw8 "diagnosed arthritis"
tab arthritisw8

gen arthw8=0 if arthritisw8==0
replace arthw8=. if arthritisw8==.
replace arthw8=1 if heartoa==1 
replace arthw8=2 if heartra ==1 
replace arthw8=3 if heartot==1 
replace arthw8=4 if heartoa==-8 | heartra ==-8 | heartot==-8

lab var arthw8 "diagnosed arthritis"

label values arthw8 arthw8lbl
tab arthw8


/********************************/
/****	PHYSICAL ACTIVITY	 ****/
/********************************/

sum  heacta heactb heactc
tab heacta
tab heactb
tab heactc
gen w8pavig1=heacta 
recode w8pavig1 1/3= 1 4=0 
lab var w8pavig1 "wave 4 Any vigorous activity"
tab w8pavig1
gen w8pavig2= heacta 
recode w8pavig2 1=1 2/4 = 0 
lab var w8pavig2 "wave 4 Vigorous activity more than once a week"
tab w8pavig2 
gen w8pamod1=heactb
recode w8pamod1 1/3 = 1 4=0 
lab var w8pamod1 "wave 4 Any moderate activity"
tab w8pamod1
gen w8pamod2=heactb
recode  w8pamod2 1=1 2/4=0 
lab var w8pamod2 "wave 4 Moderate activity more than once a week"
tab w8pamod2
tab w8pavig1 


gen w8pacomb1 = 0 if (heacta >2 & heacta<=4) | ( heactb > 2 & heactb<=4)
replace w8pacomb1 = 1 if (heacta >= 1 & heacta <= 2) | (heactb >= 1 & heactb <= 2) 
tab w8pacomb1
lab var w8pacomb1 "wave 4 vigorous/moderate activity at least once per week"

gen w8pased1 = 1 if (heacta==4 & heactb==4 & heactc ==4) 
replace w8pased1 = 0 if (w8pavig1== 1) | w8pamod1==1 | (heactc>= 1 & heactc <=3)
tab w8pased1
lab var w8pased1 "wave 4 Sedentary - No activity in any category"

gen  w8pased2 = 1 if (heacta==4 & heactb ==4)
replace w8pased2 = 0 if (w8pavig1==1) | w8pamod1== 1

tab w8pased2

lab var w8pased2 "wave 4 Sedentary - No vigorous or moderate activity"



gen pa5levelw8 = 0 if (heacta==4 & heactb== 4) 
replace pa5levelw8 = 1 if (heacta== 4 & heactb==2) | (heacta== 4 &  heactb==3) 
replace pa5levelw8 = 2 if (heacta== 4 &  heactb== 1) | (heacta==3 &  heactb==4)
replace pa5levelw8 = 3  if (heacta==2 &  heactb==3) | (heactb== 1 &  heacta==2) | (heactb==1 &  heacta==3) | (heactb==2 &  heacta== 2) | (heactb==2 &  heacta==3) | (heactb==3 &  heacta==3) 
replace pa5levelw8 = 4 if (heacta==1) 
lab var pa5levelw8 "wave 8 5 category PA measure"

lab val pa5levelw8 pa5level
tab pa5levelw8


gen painactw8=.
replace painactw8=1 if pa5levelw8==0 
replace painactw8=0 if pa5levelw8 >=1
label var painactw8 "Physically inactive"
/********************************/
/****		SMOKING			 ****/
/********************************/
rename heska heskaw8
rename hesmk hesmkw8

merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\wave7_derived.dta", keepusing(cigstw7 eversmkw7)
tab _merge
drop _merge


/* WAve 8*/
**ever smoked - need combination of qs on ever smoke from previous wave plus qs on smoke now
** people who said before or at wave 6 that have ever smoked
gen eversmkw8 = 1 if eversmkw7==1 | hesmkw8==1 
**people who said never smoked at previous waves but smoke at wave 5
replace eversmkw8 = 1 if eversmkw7 ==0 & heskaw8==1

** people who said never smoked at wave 4 and still say not smoking at wave 5
replace eversmkw8 = 0 if eversmkw7==0 & ( heskaw8==2 | hesmkw8==2 )

**people who did not have an answer at previous wave and at w8 say never smoked 
replace eversmkw8 = 0 if eversmkw7==. & hesmkw8==2
**people who did not have an answer at previous wave and at w8 say  smoked 
replace eversmkw8 = 1 if eversmkw7==. & (heskaw8==1 | hesmkw8)
replace eversmkw8 = . if eversmkw7==. & hesmkw8==.


gen cigstw8 = eversmkw8
replace cigstw8 = 2 if heskaw8==1 & eversmkw8 ==1

tab eversmkw7
tab eversmkw8

lab var cigstw7 "Wave 7 Smoking status"
lab var cigstw8 "Wave 8 Smoking status"
lab var eversmkw8 "Wave 8 Ever smoker"
lab val eversmkw8 nylab

lab val cigstw8 cigst
lab val cigstw7 cigst

tab cigstw7
tab cigstw8

tab cigstw8 hesmkw8
tab cigstw8 heskaw8
tab heskaw8 hesmkw8 
/********************************/
/****		  ALCOHOL		 ****/
/********************************/
sum scal7a scako scal7b
tab scal7a
tab scako, nolab
tab scal7b
gen alcohw8=scako 
recode alcohw8 3/8=0 2=1 1=1 -9=. -2=. -3=.

lab val alcohw8 alcohw8
tab alcohw8



/********************************/
/****	  WALKING SPEED 	 ****/
/********************************/

gen gaitw8 = -99
replace gaitw8=-98 if indager<60 
replace gaitw8=-96 if (gaitw8==-99 & mmschs==-1 & mmalone==-1 & mmhss==-1 & mmwill==-1 & mmsaf==-1 & mmavsp==-1  & mmwala==-1  & mmtrya==-1 & mmwlka==-1 & mmtryb==-1 & mmwlkb==-1)
replace gaitw8=-95 if (gaitw8==-99 & (mmalone==-9 | (mmalone==-1 & mmschs==-9)))
replace gaitw8=-94 if (gaitw8==-99 & mmalone==-8) 
replace gaitw8=-93 if (gaitw8==-99 & mmalone==3) 

replace gaitw8=-92 if (gaitw8==-99 & mmalone==2) 
replace gaitw8=-95 if  (gaitw8==-99 & mmhss==-9) 
replace gaitw8=-94 if (gaitw8==-99 & mmhss==-8) 
replace gaitw8=-91 if (gaitw8==-99 & (mmhss==2 | mmhss==3 | mmhss==4)) 
replace gaitw8=-95 if (gaitw8==-99 & mmwill==-9)
replace gaitw8=-94 if (gaitw8==-99 & mmwill==-8) 
replace gaitw8=-90 if (gaitw8==-99 & mmwill==2)
replace gaitw8=-89 if (gaitw8==-99 & mmsaf==-9) 

replace gaitw8=-88 if (gaitw8==-99 & mmsaf==-8) 
replace gaitw8=-87 if  (gaitw8==-99 & mmsaf==2) 
replace gaitw8=-89 if  (gaitw8==-99 & mmavsp==-9) 
replace gaitw8=-88  if (gaitw8==-99 & mmavsp==-8) 
replace gaitw8=-86 if  (gaitw8==-99 & mmavsp==2) 
replace gaitw8=-95 if  (gaitw8==-99 & mmwala==-9) 
replace gaitw8=-94 if  (gaitw8==-99 & mmwala==-8) 
replace gaitw8=-85 if  (gaitw8==-99 & mmwala==2) 
replace gaitw8=-95 if  (gaitw8==-99 & (mmtrya==-9 | mmtrya==-1 | mmtrya==4 | mmwlka==-9)) 
replace gaitw8=-84  if  (gaitw8==-99 & (mmtrya==2 | mmtrya==3))
replace gaitw8=-82 if  (gaitw8==-99 & ((mmwlka>30 | mmwlka<0.54) & mmwlkb<0)) 
replace gaitw8=-83 if  (gaitw8==-99 & ((mmwlka>30 | mmwlka<0.54) & (mmwlkb>30 | mmwlkb<0.54))) 

replace gaitw8=4.877/(mmwlka+mmwlkb) if  (gaitw8==-99 & (mmwlka<30 & mmwlka>0.54) & (mmwlkb<30 & mmwlkb>0.54))
replace gaitw8 = 2.4384/mmwlka if  (gaitw8==-99 & mmwlka<30 & mmwlka>0.54) 
replace gaitw8 = 2.4384/mmwlkb if  (gaitw8==-99 & mmwlkb<30 & mmwlkb>0.54) 



gen speedindw8 = -1
replace speedindw8 = 1 if  (gaitw8>0  & (mmwlka<30 & mmwlka>0.54) )
replace speedindw8 = 2 if  (gaitw8>0 & (mmwlkb<30 & mmwlkb>0.54) )
replace speedindw8 = 3 if  (gaitw8>0 & (mmwlka<30 & mmwlka>0.54) & (mmwlkb<30 & mmwlkb>0.54))

tab speedindw8

sum gaitw8

gen gaitmisw8=gaitw8 if gaitw8<0
tab gaitmisw8

lab var  gaitw8 "Final wave1 gaitspeed (m/sec)"
lab var speedindw8 "walks used to derive gaitspeed"


lab val gaitw8 gaitlab 
lab val speedindw8 speedlab
lab val gaitmisw8 gaitlab 

tab gaitw8 if gaitw8<0



	
/********************************/
/****  PHYSICAL FUNCTIONING  ****/
/********************************/
	
	/* ADL COUNT */
sum headldr headlwa headlba headlea headlbe headlwc
tab headldr, nolab
gen adlcntw8=headldr+ headlwa+ headlba +headlea+ headlbe +headlwc
tab adlcntw8
replace adlcntw8=. if adlcntw8<0

	/* IADL COUNT */
sum headlma headlda headlpr headlsh headlph headlsp headlme headlho headlmo
tab headlma
gen iadlcntw8=headlma+headlda+headlpr+headlsh+headlph+headlsp+headlme+headlho+headlmo
tab iadlcntw8
replace iadlcntw8=. if iadlcntw8<0

	/* DIFFICULTIES WITH MOBILITY */
sum hemobwa hemobsi hemobch hemobcs hemobcl hemobst hemobre hemobpu hemobli hemobpi hemob96
tab hemobwa
gen mobilw8=hemobwa +hemobsi+ hemobch+ hemobcs +hemobcl+ hemobst+ hemobre+ hemobpu+ hemobli+ hemobpi 
tab mobilw8
replace mobilw8=. if mobilw8<0
tab mobilw8 hemob96


/*************************************/
/****  DEPRESSIVE SYMPTOMS CES-D  ****/
/*************************************/


sum psceda pscedb pscedc pscedd pscede pscedf pscedg pscedh 


tab	psceda, nolab
tab pscedb
tab pscedc
tab pscedd
tab pscede
tab pscedf, nolab
tab pscedg
tab pscedh

recode	psceda	2=0 -9/-1=.
recode	pscedb	2=0 -9/-1=.
recode pscedc	2=0 -9/-1=.
recode pscedd 2=1 1=0 -9/-1=.
recode pscede 2=0 -9/-1=.
recode pscedf 2=1 1=0 -9/-1=.
recode	pscedg	2=0 -9/-1=.
recode	pscedh	2=0 -9/-1=.




gen totcesdw8=psceda +pscedb +pscedc+ pscedd +pscede +pscedf +pscedg +pscedh
tab totcesdw8

gen depcesdw8=0
replace depcesdw8=1 if totcesdw8>=4
lab var  depcesdw8 "Depressive symptoms CESD"

lab val depcesdw8 dep
tab depcesdw8


/*************************************/
/****  QUALITY OF LIFE CASP  ****/
/*************************************/
sum scqola scqolb scqolc scqold scqole scqolf scqolg scqolh scqoli scqolj scqolk scqoll scqolm scqoln scqolo scqolp scqolq scqolr scqols

gen scqolarc=scqola 
recode scqolarc  (1=0)  (2=1)  (3=2)  (4=3) (-9/-1=.)
gen scqolbrc=scqolb
recode scqolbrc(1=0)  (2=1)  (3=2)  (4=3) (-9/-1=.)
gen scqolfrc=scqolf 
recode scqolfrc (1=0)  (2=1)  (3=2)  (4=3) (-9/-1=.)
gen scqolirc=scqoli
recode scqolfrc (1=0)  (2=1)  (3=2)  (4=3) (-9/-1=.)
gen scqoldrc=scqold 
recode scqoldrc (1=0)  (2=1)  (3=2)  (4=3) (-9/-1=.)
gen scqolhrc=scqolh
recode scqolhrc (1=0)  (2=1)  (3=2)  (4=3) (-9/-1=.)

gen scqolcrc=  scqolc 
recode scqolcrc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqolcrc (1=0)  (2=1)  (3=2)  (4=3) 

gen scqolerc = scqole
recode scqolerc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqolerc (1=0)  (2=1)  (3=2)  (4=3) 

gen scqolgrc = scqolg
recode scqolgrc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqolgrc (1=0)  (2=1)  (3=2)  (4=3) 

gen scqoljrc  =scqolj
recode scqoljrc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqoljrc (1=0)  (2=1)  (3=2)  (4=3) 


gen scqolkrc= scqolk  
recode scqolkrc(1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqolkrc (1=0)  (2=1)  (3=2)  (4=3)


gen scqollrc= scqoll 
recode scqollrc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqollrc (1=0)  (2=1)  (3=2)  (4=3)


gen scqolmrc=scqolm 
recode scqolmrc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqolmrc (1=0)  (2=1)  (3=2)  (4=3)

gen  scqolnrc=scqoln  
recode scqolnrc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqolnrc (1=0)  (2=1)  (3=2)  (4=3)

gen  scqolorc= scqolo 
recode scqolorc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqolorc (1=0)  (2=1)  (3=2)  (4=3)


gen  scqolprc =scqolp 
recode scqolprc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqolprc (1=0)  (2=1)  (3=2)  (4=3)

gen  scqolqrc = scqolq
recode scqolqrc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
recode scqolqrc (1=0)  (2=1)  (3=2)  (4=3)

 gen scqolrrc =scqolr 
 recode scqolrrc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
  recode scqolrrc (1=0)  (2=1)  (3=2)  (4=3)
 
 gen scqolsrc = scqols
 recode scqolsrc (1=4)  (2=3)  (3=2)  (4=1) (-9/-1=.)
  recode scqolsrc (1=0)  (2=1)  (3=2)  (4=3)
          

gen casp19w8 =scqolarc+ scqolbrc+scqolcrc+ scqoldrc + scqolerc+scqolfrc+ scqolgrc+scqolhrc+ scqolirc+scqoljrc+  scqolkrc + scqollrc + scqolmrc+  scqolnrc + scqolorc + scqolprc + scqolqrc + scqolrrc + scqolsrc 

kdensity casp19w8, normal

/*************************************/
/****  Global sensory impairment  ****/
/*************************************/


recode heeye -9/-1=. 1/3=0 4/6=1, generate(eyeimpw8)
recode hehear -9/-1=. 1/3=0 4/5=1, generate(hearimpw8)
recode hessme -9/-1=. 1/3=0 4/5=1, generate(smellimpw8)
recode hestas -9/-1=. 1/3=0 4/5=1, generate(tasteimpw8)
label val eyeimpw8 nylab
label val hearimpw8 nylab
label val smellimpw8 nylab
label val tasteimpw8 nylab
label var eyeimpw8 "Eyesight impairment"
label var hearimpw8 "Hearing impairment"
label var smellimpw8 "Smell impairment"
label var tasteimpw8 "Taste impairment"

rename (heeye hehear hessme hestas) =w8
gen globalsensw8=eyeimp+hearimp+smellimp+tasteimp
recode globalsensw8 0=0 1/2 = 1 3/4=2 , generate(globalsens3catw8)
recode globalsensw8 0/3=0 4=1, generate(globalsensbinw8)
label var globalsensw8 "Global Sensory Impairment (number senses impaired)"
label var globalsens3catw8 "Global Sensory Impairment 3 categories"
label define categ  0 "No imp" 1 "1 or 2 imp" 2 "3 or 4 imp"
label val globalsens3catw8 categ 
label var globalsensbinw8 "Global Sensory Impairment binary"
label val globalsensbinw8 nylab
tab eyeimpw8
tab hearimpw8
tab smellimpw8
tab tasteimpw8
tab globalsensw8
tab globalsens3catw8
tab globalsensbinw8

/*************************************/
/****  COGNITIVE FUNCTION  ****/
/*************************************/




**CREATING MEMORY INDEX .
***NB  cflisen and cflisd MUST have -8 coded to 0 in data.

*** Maximum score = 20
tab cflisen
tab cflisd 
recode cflisen  -9/-1=.
recode  cflisd -9/-1=.

gen cfmew8 = cflisen + cflisd  
label var cfmew8 "Memory Index"
tab cfmew8



***CREATING EXECUTIVE FUNCTION INDEX 
***creating new variable cfanig to give scores 1-9
*d/k coded to 0*

tab cfani
recode   cfani   0=0  -9/-1=.  1/7=1  8/12=2  13/15=3  16/17=4  18/19=5  20/21=6  22/24=7  25/29=8  30/99=9 , generate(cfanigw8)
label var  cfanigw8 "fluency recoded for executive function index"
label define cfanig  0 "0 animals" 1 "1-7 animals"   2 "8-12 animals"   3 "13-15 animals"   4 "16-17 animals"   5 "18-19 animals"   6 "20-21 animals"   7 "22-24 animals"   8 "25-29 animals"   9 "30+ animals"  
label val cfanigw8 cfanig
tab cfanigw8

gen indagerw8=indager
replace indagerw8=. if indager==-7


/*** Creation of index "Attention/Calculation" ***/

gen countback=0
replace countback=2 if cfc20frst==1 
replace countback=1 if cfc20fscnd==1 
replace countback=. if cfc20frst<0

/* Summing good answers at the subtraction task */
gen substr1=.
replace substr1=1 if cfsva==93 
replace substr1=0 if cfsva>=0 & cfsva != 93 
gen substr2=.
replace substr2=1 if cfsvb==86 
replace substr2=0 if cfsvb>=0 & cfsvb != 86 
gen substr3=.
replace substr3=1 if cfsvc==79 
replace substr3=0 if cfsvc>=0 & cfsvc != 79 
gen substr4=.
replace substr4=1 if cfsvd==72 
replace substr4=0 if cfsvd>=0 & cfsvd != 72 
gen substr5=.
replace substr5=1 if cfsve==65 
replace substr5=0 if cfsve>=0 & cfsve != 65 

gen sumsubstr=substr1+substr2+substr3+substr4+substr5
gen corr_substr=.
replace corr_substr=1 if sumsubstr==5 
replace corr_substr=0 if sumsubstr<5
tab corr_substr



/* Naming task */
gen nam1=.
replace nam1=1 if cfnmsc==1
replace nam1=0 if cfnmsc==2 
gen nam2=.
replace nam2=1 if cfnmca==1
replace nam2=0 if cfnmca==2 
gen nam3=.
replace nam3=1 if cfnmqn==1
replace nam3=0 if cfnmqn==2 
gen nam4=.
replace nam4=1 if cfnmpm==1
replace nam4=0 if cfnmpm==2 
gen nam5=.
replace nam5=1 if cfnmus==1
replace nam5=0 if cfnmus==2 


gen cfcomprehensionw8=nam1+nam2+nam3+nam4+nam5
label var cfcomprehensionw8 "Cognition comprehension"


gen cfattentionw8=countback+sumsubstr
label var cfattentionw8 "Cognition attention"




/* Fruit veg */
gen fruvegw8=scveg+scfru /* portions of fruit and veg/day*/
gen por5fruvegw8 =.
replace por5fruvegw8 = 1 if fruvegw8>=5 
replace por5fruvegw8=0 if fruvegw8>=0 & fruvegw8<5

label var por5fruvegw8 "At least 5 fruit and vegetables / day"
tab por5fruvegw8

 
 
/* LIMITING LONG STANDING ILLNESS */
gen limitw8=0
replace limitw8=1 if heill==1 & helim==1
replace limitw8=. if heill<0 
lab var  limitw8 "limiting longstanding illness"
lab val limitw8 nylab
tab limitw8

 /* Self-rated health*/
recode hehelf -9/-1=. 1=1 2=2 3=3 4=4 5=5
tab hehelf
rename hehelf srh8
tab srh8

recode srh8 1/3=0 4/5=1, generate (srh28)
lab var  srh28 "Fair or poor self-rated health"

lab val srh28 srh
tab srh28

/* Age groups */
gen agegrw8 = 0
replace agegrw8 = 1 if indager>=55 & indager<60
replace agegrw8 = 2 if indager>=60 & indager<65
replace agegrw8 = 3 if indager>=65 & indager<70
replace agegrw8 = 4 if indager>=70 & indager<75
replace agegrw8 = 5 if indager>=75 & indager<80
replace agegrw8 = 6 if indager>=80 | indager==-7

label define agegr  0 "52-55y" 1 "55-59y"   2 "60-64y"   3 "65-70y"   4 "70-74y"   5 "75-80y"   6 "80y+"   
label val agegrw8 agegr
tab agegrw8



keep idauniq agegrw8 hedawanw8 hedawmiw8 hedimanw8 hedimmiw8 chdw8 diabetesw8 depressw8 respiratw8 strokew8 cancerw8 ///
arthritisw8 arthw8 pa5levelw8 w8pacomb1 w8pased1 w8pased2 cigstw8 eversmkw8 limitw8 srh8 srh28 edu3w8 edu5w8 ///
alcohw8 maritalw8 iintdatm iintdaty indsex indager finstat por5fruvegw8 painactw8 ///
w8bsout weight estwt sysval diaval hscrp pulval mapval fglu chol hdl trig ldl hba1c cfib wbc ///
fastask fastelig rtin igf1 mch cfmew8 cfanigw8 cfcomprehensionw8 cfattentionw8 ///
livpartw8 gaitw8 retiredw8  adlcntw8 iadlcntw8 mobilw8 totcesdw8 depcesdw8 casp19w8 ///
nettotw_bu_s totinc_bu_s totinc_bu_s totwq5_bu_s yq5_bu_s hedawbp hedawdi hedawch hediabp hediadi hediach ///
heeyew8 hefrnd hepap heopcdi heopfgl heopfdi heopfmd heopfca heopndi heopsdi heoptgl heoptdi heoptmd heoptca heopt96 headlco  cfwhteye  ///
hefla heflb heflc hefle heflf  pscedc heill srh8 helwk hehearw8  w8nssec8 w8nssec5 w8nssec3 ///
 eyeimpw8 hearimpw8 smellimpw8 tasteimpw8 globalsensw8 globalsens3catw8 globalsensbinw8 ///
 w8w1lwgt w8w4lwgt w8xwgt w8scwt w8sscwt w8nurwt w8bldwt wgt lwgt schelnct ///
 scfeela scfeelb scfeelc scfeeld scfeele scorg96 scchdj scfamj scfrdj  ///
 scchdg scchdh scchdi scfamg scfamh scfami scfrdg scfrdh scfrdi sclifec pscedf scprtg scchdm scfamm scfrdm

rename (hefrnd hepap heopcdi heopfgl heopfdi heopfmd heopfca heopndi heopsdi heoptgl heoptdi heoptmd heoptca heopt96 headlco  cfwhteye ///
finstat finstat indager indsex iintdatm iintdaty nettotw_bu_s totinc_bu_s totwq5_bu_s yq5_bu_s ///
weight estwt sysval diaval hscrp pulval mapval fglu chol hdl trig ldl hba1c cfib wbc fastask fastelig rtin igf1 mch ///
 scfeela scfeelb scfeelc scfeeld scfeele scorg96 ///
 hefla heflb heflc hefle heflf pscedc helwk  hedawbp hediabp wgt lwgt schelnct scchdj scfamj scfrdj  ///
 scchdg scchdh scchdi scfamg scfamh scfami scfrdg scfrdh scfrdi sclifec pscedf scprtg scchdm scfamm scfrdm) =w8


keep if finstatw8 !=.

save "N:\STATS\ELSA\STATA\DATA\Wave8_derived.dta", replace 
 

