set more off
use "N:\STATS\ELSA\STATA\DATA\wave4_derived.dta", clear
/* Age groups */
gen agegrw4 = 0
replace agegrw4 = 1 if indagerw4>=55 & indagerw4<60
replace agegrw4 = 2 if indagerw4>=60 & indagerw4<65
replace agegrw4 = 3 if indagerw4>=65 & indagerw4<70
replace agegrw4 = 4 if indagerw4>=70 & indagerw4<75
replace agegrw4 = 5 if indagerw4>=75 & indagerw4<80
replace agegrw4 = 6 if indagerw4>=80 

label define agegr4  0 "50-55y" 1 "55-59y"   2 "60-64y"   3 "65-70y"   4 "70-74y"   5 "75-80y"   6 "80y+"   
label val agegrw4 agegr4
lab var  agegrw4 "Age group wave 4"
tab agegrw4, sum (indagerw4)

merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\ELSA age\wave4_fullage.dta"
drop _merge

tab agegrw4, sum (age4)
sum age4 indagerw4

merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\wave5_derived.dta"
drop _merge

merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\wave6_derived.dta"
drop _merge

merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\wave7_derived.dta"
drop _merge

merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\Wave8_derived.dta"
drop _merge

merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\datasets\wave3.dta"
drop _merge
merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\datasets\wave2.dta"
drop _merge
merge 1:1 idauniq using "N:\STATS\ELSA\STATA\DATA\datasets\wave1.dta"
drop _merge

gen chdw2_ = chd2
replace chdw2_=1 if chd1==1 & chd2 !=. & chd2 !=-9
gen chdw3_ = chd3
replace chdw3_=1 if chdw2_==1 & chd3 !=. 
gen chdw4_ = chdw4
replace chdw4_=1 if chdw3_==1 & chdw4 !=. 
gen chdw5_ = chdw5
replace chdw5_=1 if chdw4_==1  & chdw5 !=. 
gen chdw6_ = chdw6
replace chdw6_=1 if chdw5_==1 & chdw6 !=. 
gen chdw7_ = chdw7
replace chdw7_=1 if chdw6_==1 & chdw7 !=. 
gen chdw8_ = chdw8
replace chdw8_=1 if chdw7_==1  & chdw8 !=. 

gen diabetesw2_ = diabetes2
replace diabetesw2_=1 if diabetes1==1 & diabetes2 !=. & diabetes2 !=-9
gen diabetesw3_ = diabetes3
replace diabetesw3_=1 if diabetesw2_==1 & diabetes3 !=. 
gen diabetesw4_ = diabetesw4
replace diabetesw4_=1 if diabetesw3_==1 & diabetesw4 !=. 
gen diabetesw5_ = diabetesw5
replace diabetesw5_=1 if diabetesw4_==1  & diabetesw5 !=. 
gen diabetesw6_ = diabetesw6
replace diabetesw6_=1 if diabetesw5_==1 & diabetesw6 !=. 
gen diabetesw7_ = diabetesw7
replace diabetesw7_=1 if diabetesw6_==1 & diabetesw7 !=. 
gen diabetesw8_ = diabetesw8
replace diabetesw8_=1 if diabetesw7_==1  & diabetesw8 !=. 

gen cancerw2_ = cancer2
replace cancerw2_=1 if cancer1==1 & cancer2 !=. & cancer2 !=-9
gen cancerw3_ = cancer3
replace cancerw3_=1 if cancerw2_==1 & cancer3 !=. 
gen cancerw4_ = cancerw4
replace cancerw4_=1 if cancerw3_==1 & cancerw4 !=. 
gen cancerw5_ = cancerw5
replace cancerw5_=1 if cancerw4_==1  & cancerw5 !=. 
gen cancerw6_ = cancerw6
replace cancerw6_=1 if cancerw5_==1 & cancerw6 !=. 
gen cancerw7_ = cancerw7
replace cancerw7_=1 if cancerw6_==1 & cancerw7 !=. 
gen cancerw8_ = cancerw8
replace cancerw8_=1 if cancerw7_==1  & cancerw8 !=. 

gen respiratw2_ = respirat2
replace respiratw2_=1 if respirat1==1 & respirat2 !=. & respirat2 !=-9
gen respiratw3_ = respirat3
replace respiratw3_=1 if respiratw2_==1 & respirat3 !=. 
gen respiratw4_ = respiratw4
replace respiratw4_=1 if respiratw3_==1 & respiratw4 !=. 
gen respiratw5_ = respiratw5
replace respiratw5_=1 if respiratw4_==1  & respiratw5 !=. 
gen respiratw6_ = respiratw6
replace respiratw6_=1 if respiratw5_==1 & respiratw6 !=. 
gen respiratw7_ = respiratw7
replace respiratw7_=1 if respiratw6_==1 & respiratw7 !=. 
gen respiratw8_ = respiratw8
replace respiratw8_=1 if respiratw7_==1  & respiratw8 !=. 

gen arthritisw2_ = arthritis2
replace arthritisw2_=1 if arthritis1==1 & arthritis2 !=. & arthritis2 !=-9
gen arthritisw3_ = arthritis3
replace arthritisw3_=1 if arthritisw2_==1 & arthritis3 !=. 
gen arthritisw4_ = arthritisw4
replace arthritisw4_=1 if arthritisw3_==1 & arthritisw4 !=. 
gen arthritisw5_ = arthritisw5
replace arthritisw5_=1 if arthritisw4_==1  & arthritisw5 !=. 
gen arthritisw6_ = arthritisw6
replace arthritisw6_=1 if arthritisw5_==1 & arthritisw6 !=. 
gen arthritisw7_ = arthritisw7
replace arthritisw7_=1 if arthritisw6_==1 & arthritisw7 !=. 
gen arthritisw8_ = arthritisw8
replace arthritisw8_=1 if arthritisw7_==1  & arthritisw8 !=. 

gen depressw2_ = depress2
replace depressw2_=1 if depress1==1 & depress2 !=. & depress2 !=-9
gen depressw3_ = depress3
replace depressw3_=1 if depressw2_==1 & depress3 !=. 
gen depressw4_ = depressw4
replace depressw4_=1 if depressw3_==1 & depressw4 !=. 
gen depressw5_ = depressw5
replace depressw5_=1 if depressw4_==1  & depressw5 !=. 
gen depressw6_ = depressw6
replace depressw6_=1 if depressw5_==1 & depressw6 !=. 
gen depressw7_ = depressw7
replace depressw7_=1 if depressw6_==1 & depressw7 !=. 
gen depressw8_ = depressw8
replace depressw8_=1 if depressw7_==1  & depressw8 !=. 

save "N:\STATS\ELSA\STATA\DATA\Wave_4_5_6_7_8_derived.dta", replace
