use "N:\STATS\ELSA\STATA\DATA\Wave_4_5_6_7_8_derived.dta", clear
gen psu=idauniq
recode indsexw8 1=0 2=1 , generate(sexnumw8)
tab sexnumw8 /*8445; 3750 men and 4695 women */
rename totwq5_bu_sw8 wealthqw8

drop if w8xwgt==. /* 1222 ervations deleted --> N=7223 with weights*/
drop if agegrw8==0 /* delete 52-54y old n=253 */
svyset, clear
svyset [pweight=w8xwgt], psu(psu) 

log using "N:\STATS\ELSA\STATA\WAVE 8 REPORT\Cross_sectional_health_tables_55y_230518.log", replace

tab finstatw8
***General health***
tab srh8 /*6935 */
**Table 1a** 

svy:tab srh8 agegrw8 if sexnumw8==0 , col per  /***** MEN *****/
tab srh8 agegrw8 if sexnumw8==0
svy:tab srh8 agegrw8 if sexnumw8==1 , col per  /***** WOMEN *****/
tab srh8 agegrw8 if sexnumw8==1
**Table 1b**
svy:tab srh8 wealthqw8 if sexnumw8==0 , col per  /***** MEN *****/
tab srh8 wealthqw8 if sexnumw8==0 
svy:tab srh8 wealthqw8 if sexnumw8==1 , col per  /***** WOMEN *****/
tab srh8 wealthqw8 if sexnumw8==1

**Table 2a**
tab limitw8

svy:tab limitw8 agegrw8 if sexnumw8==0 , col per  /***** MEN *****/
tab limitw8 agegrw8 if sexnumw8==0 
svy:tab limitw8 agegrw8 if sexnumw8==1 , col per  /***** WOMEN *****/
tab limitw8 agegrw8 if sexnumw8==1

**Table 2b**
svy:tab limitw8 wealthqw8 if sexnumw8==0 , col per   /***** MEN *****/
tab limitw8 wealthqw8 if sexnumw8==0 
svy:tab limitw8 wealthqw8 if sexnumw8==1 , col per   /***** WOMEN *****/
tab limitw8 wealthqw8 if sexnumw8==1



***Chronic diseases***
**Table 3a Age **

 /***** MEN *****/
svy:tab chdw8_ agegrw8 if sexnumw8==0 , col per 
svy:tab diabetesw8_ agegrw8 if sexnumw8==0 , col per 
svy:tab cancerw8_ agegrw8 if sexnumw8==0 , col per 
svy:tab respiratw8_ agegrw8 if sexnumw8==0 , col per 
svy:tab arthritisw8_ agegrw8 if sexnumw8==0 , col per 
svy:tab depressw8_ agegrw8 if sexnumw8==0 , col per 
tab chdw8_ agegrw8 if sexnumw8==0 
tab diabetesw8_ agegrw8 if sexnumw8==0 
tab cancerw8_ agegrw8 if sexnumw8==0 
tab respiratw8_ agegrw8 if sexnumw8==0 
tab arthritisw8_ agegrw8 if sexnumw8==0 
tab depressw8_ agegrw8 if sexnumw8==0 



 /***** WOMEN *****/
svy:tab chdw8_ agegrw8 if sexnumw8==1 , col per 
svy:tab diabetesw8_ agegrw8 if sexnumw8==1 , col per 
svy:tab cancerw8_ agegrw8 if sexnumw8==1 , col per 
svy:tab respiratw8_ agegrw8 if sexnumw8==1 , col per 
svy:tab arthritisw8_ agegrw8 if sexnumw8==1 , col per 
svy:tab depressw8_ agegrw8 if sexnumw8==1 , col per 
tab chdw8_ agegrw8 if sexnumw8==1 
tab diabetesw8_ agegrw8 if sexnumw8==1 
tab cancerw8_ agegrw8 if sexnumw8==1 
tab respiratw8_ agegrw8 if sexnumw8==1 
tab arthritisw8_ agegrw8 if sexnumw8==1 
tab depressw8_ agegrw8 if sexnumw8==1 
**Table 3b Wealth **

 /***** MEN *****/
svy:tab chdw8_ wealthqw8 if sexnumw8==0 , col per 
svy:tab diabetesw8_ wealthqw8 if sexnumw8==0 , col per  
svy:tab cancerw8_ wealthqw8 if sexnumw8==0 , col per  
svy:tab respiratw8_ wealthqw8 if sexnumw8==0 , col per  
svy:tab arthritisw8_ wealthqw8 if sexnumw8==0 , col per  
svy:tab depressw8_ wealthqw8 if sexnumw8==0 , col per  
tab chdw8_ wealthqw8 if sexnumw8==0 
tab diabetesw8_ wealthqw8 if sexnumw8==0 
tab cancerw8_ wealthqw8 if sexnumw8==0 
tab respiratw8_ wealthqw8 if sexnumw8==0 
tab arthritisw8_ wealthqw8 if sexnumw8==0 
tab depressw8_ wealthqw8 if sexnumw8==0 

 /***** WOMEN *****/
svy:tab chdw8_ wealthqw8 if sexnumw8==1 , col per  
svy:tab diabetesw8_ wealthqw8 if sexnumw8==1 , col per  
svy:tab cancerw8_ wealthqw8 if sexnumw8==1 , col per  
svy:tab respiratw8_ wealthqw8 if sexnumw8==1 , col per  
svy:tab arthritisw8_ wealthqw8 if sexnumw8==1 , col per  
svy:tab depressw8_ wealthqw8 if sexnumw8==1 , col per  
tab chdw8_ wealthqw8 if sexnumw8==1 
tab diabetesw8_ wealthqw8 if sexnumw8==1 
tab cancerw8_ wealthqw8 if sexnumw8==1 
tab respiratw8_ wealthqw8 if sexnumw8==1 
tab arthritisw8_ wealthqw8 if sexnumw8==1 
tab depressw8_ wealthqw8 if sexnumw8==1 

***Disability***

**Tab 4a**
sum gaitw8
replace gaitw8=. if gaitw8<0
svy:mean gaitw8 if sexnumw8==0, over(agegrw8)
svy:mean gaitw8 if sexnumw8==1, over(agegrw8) 
svy:mean gaitw8, over(sexnumw8) 

tab sexnumw8 agegrw8 if gaitw8!=.

**Tab 4b**
svy:mean gaitw8 if sexnumw8==0, over(wealthqw8) 
svy:mean gaitw8 if sexnumw8==1, over(wealthqw8) 

tab sexnumw8 wealthqw8 if gaitw8!=.


**Tab w8a**
tab adlcntw8
replace adlcntw8=. if adlcntw8<0
gen adl=0 if adlcntw8==0
replace adl=1 if adlcntw8>0
tab adl
tab  iadlcntw8
replace  iadlcntw8=. if  iadlcntw8<0
gen iadl=0 if  iadlcntw8==0
replace iadl=1 if  iadlcntw8>0
tab iadl


/* MEN */
svy:tab adl agegrw8 if sexnumw8==0 , col per 
svy:tab iadl agegrw8 if sexnumw8==0 , col per 
tab adl agegrw8 if sexnumw8==0 
tab iadl agegrw8 if sexnumw8==0 
/* WOMEN */
svy:tab adl agegrw8 if sexnumw8==1 , col per 
svy:tab iadl agegrw8 if sexnumw8==1 , col per 
tab adl agegrw8 if sexnumw8==1
tab iadl agegrw8 if sexnumw8==1


**Table w8b**
/* MEN */
svy:tab adl wealthqw8 if sexnumw8==0 , col per  
svy:tab iadl wealthqw8 if sexnumw8==0 , col per  
tab adl wealthqw8 if sexnumw8==0 
tab iadl wealthqw8 if sexnumw8==0 
/* WOMEN */
svy:tab iadl wealthqw8 if sexnumw8==1 , col per  
svy:tab adl wealthqw8 if sexnumw8==1 , col per  
tab adl wealthqw8 if sexnumw8==1 
tab iadl wealthqw8 if sexnumw8==1 

***Cognitive function**

**Table 6a**

sum  cfmew8 cfattentionw8 cfcomprehensionw8


/******* MEN *****/
svy:mean cfmew8 if sexnumw8==0, over(agegrw8) 
svy:mean cfattentionw8 if sexnumw8==0, over(agegrw8) 
svy:mean cfcomprehensionw8 if sexnumw8==0, over(agegrw8) 
/******* WOMEN *****/
svy:mean cfmew8 if sexnumw8==1, over(agegrw8) 
svy:mean cfattentionw8 if sexnumw8==1, over(agegrw8) 
svy:mean cfcomprehensionw8 if sexnumw8==1, over(agegrw8) 
svy:mean cfmew8, over(sexnumw8) 
svy:mean cfattentionw8, over(sexnumw8) 
svy:mean cfcomprehensionw8, over(sexnumw8) 

tab sexnumw8 agegrw8 if cfmew8!=.
tab sexnumw8 agegrw8 if cfattentionw8!=.
tab sexnumw8 agegrw8 if cfcomprehensionw8!=.




**Table 6b**
/******* MEN *****/
svy:mean cfmew8 if sexnumw8==0, over(wealthqw8) 
svy:mean cfattentionw8 if sexnumw8==0, over(wealthqw8) 
svy:mean cfcomprehensionw8 if sexnumw8==0, over(wealthqw8) 
/******* WOMEN *****/
svy:mean cfmew8 if sexnumw8==1, over(wealthqw8) 
svy:mean cfattentionw8 if sexnumw8==1, over(wealthqw8) 
svy:mean cfcomprehensionw8 if sexnumw8==1, over(wealthqw8) 
svy:mean cfmew8, over(sexnumw8) 
svy:mean cfattentionw8, over(sexnumw8) 
svy:mean cfcomprehensionw8, over(sexnumw8) 

tab sexnumw8 wealthqw8 if cfmew8!=.
tab sexnumw8 wealthqw8 if cfattentionw8!=.
tab sexnumw8 wealthqw8 if cfcomprehensionw8!=.


***Health behaviours**

**Table 7a**
tab cigstw8,nolab
gen smoker=1 if cigstw8==2
replace smoker=0 if cigstw8>=0 & cigstw8<2
replace smoker=. if cigstw8==.
lab var smoker "current smoker"
tab smoker


tab pa5levelw8, nolab

gen inactive=0 if pa5levelw8>0
replace inactive=1 if pa5levelw8==0
replace inactive=. if pa5levelw8==.
lab var inactive "physically inactive"
tab inactive

/* MEN */
svy:tab smoker agegrw8 if sexnumw8==0 , col per 
svy:tab inactive agegrw8 if sexnumw8==0 , col per 
svy:tab alcohw8 agegrw8 if sexnumw8==0 , col per 
svy:tab por5fruvegw8 agegrw8 if sexnumw8==0 , col per 
tab smoker agegrw8 if sexnumw8==0  
tab inactive agegrw8 if sexnumw8==0  
tab alcohw8 agegrw8 if sexnumw8==0  
tab por5fruvegw8 agegrw8 if sexnumw8==0  

/* WOMEN*/
svy:tab smoker agegrw8 if sexnumw8==1 , col per 
svy:tab inactive agegrw8 if sexnumw8==1 , col per 
svy:tab alcohw8 agegrw8 if sexnumw8==1 , col per 
svy:tab por5fruvegw8 agegrw8 if sexnumw8==1 , col per 
tab smoker agegrw8 if sexnumw8==1  
tab inactive agegrw8 if sexnumw8==1  
tab alcohw8 agegrw8 if sexnumw8==1  
tab por5fruvegw8 agegrw8 if sexnumw8==1  



**Table 7b**
/* MEN */
svy:tab smoker wealthqw8 if sexnumw8==0 , col per 
svy:tab inactive wealthqw8 if sexnumw8==0 , col per 
svy:tab alcohw8 wealthqw8 if sexnumw8==0 , col per 
svy:tab por5fruvegw8 wealthqw8 if sexnumw8==0 , col per 
tab smoker wealthqw8 if sexnumw8==0  
tab inactive wealthqw8 if sexnumw8==0  
tab alcohw8 wealthqw8 if sexnumw8==0  
tab por5fruvegw8 wealthqw8 if sexnumw8==0  

/* WOMEN*/
svy:tab smoker wealthqw8 if sexnumw8==1 , col per 
svy:tab inactive wealthqw8 if sexnumw8==1 , col per 
svy:tab alcohw8 wealthqw8 if sexnumw8==1 , col per 
svy:tab por5fruvegw8 wealthqw8 if sexnumw8==1 , col per 
tab smoker wealthqw8 if sexnumw8==1  
tab inactive wealthqw8 if sexnumw8==1  
tab alcohw8 wealthqw8 if sexnumw8==1  
tab por5fruvegw8 wealthqw8 if sexnumw8==1  





**Table 8a**
/* Sensory impairment eyeimpw8 hearimpw8 smellimpw8 tasteimpw8*/ 

/* MEN */
svy:tab eyeimpw8 agegrw8 if sexnumw8==0 , col per 
svy:tab hearimpw8 agegrw8 if sexnumw8==0 , col per 
svy:tab smellimpw8 agegrw8 if sexnumw8==0 , col per 
svy:tab tasteimpw8 agegrw8 if sexnumw8==0 , col per 
tab eyeimpw8 agegrw8 if sexnumw8==0 
tab hearimpw8 agegrw8 if sexnumw8==0 
tab smellimpw8 agegrw8 if sexnumw8==0 
tab tasteimpw8 agegrw8 if sexnumw8==0 
/* WOMEN */
svy:tab eyeimpw8 agegrw8 if sexnumw8==1, col per 
svy:tab hearimpw8 agegrw8 if sexnumw8==1, col per 
svy:tab smellimpw8 agegrw8 if sexnumw8==1, col per 
svy:tab tasteimpw8 agegrw8 if sexnumw8==1, col per 
tab eyeimpw8 agegrw8 if sexnumw8==1
tab hearimpw8 agegrw8 if sexnumw8==1 
tab smellimpw8 agegrw8 if sexnumw8==1 
tab tasteimpw8 agegrw8 if sexnumw8==1 



**Table 8b**

/* MEN */
svy:tab eyeimpw8 wealthqw8 if sexnumw8==0 , col per 
svy:tab hearimpw8 wealthqw8 if sexnumw8==0 , col per 
svy:tab smellimpw8 wealthqw8 if sexnumw8==0 , col per 
svy:tab tasteimpw8 wealthqw8 if sexnumw8==0 , col per 
tab eyeimpw8 wealthqw8 if sexnumw8==0 
tab hearimpw8 wealthqw8 if sexnumw8==0 
tab smellimpw8 wealthqw8 if sexnumw8==0 
tab tasteimpw8 wealthqw8 if sexnumw8==0 
/* WOMEN */
svy:tab eyeimpw8 wealthqw8 if sexnumw8==1, col per 
svy:tab hearimpw8 wealthqw8 if sexnumw8==1, col per 
svy:tab smellimpw8 wealthqw8 if sexnumw8==1, col per 
svy:tab tasteimpw8 wealthqw8 if sexnumw8==1, col per 
tab eyeimpw8 wealthqw8 if sexnumw8==1 
tab hearimpw8 wealthqw8 if sexnumw8==1
tab smellimpw8 wealthqw8 if sexnumw8==1 
tab tasteimpw8 wealthqw8 if sexnumw8==1 

log close
