
use "N:\STATS\ELSA\STATA\DATA\Wave_4_5_6_7_8_derived.dta", clear
/*********************************************************************************/
				/*			 DATA MANAGEMENT 			*/
/*********************************************************************************/
				
gen psu=idauniq
recode indsexw8 1=0 2=1 , generate(sexnumw8)
recode indsexw4 1=0 2=1 , generate(sexnumw4)
tab sexnumw8 /*8445; 3750 men and 4695 women */
tab sexnumw4 /*8445; 3750 men and 4695 women */
rename totwq5_bu_sw8 wealthqw8
rename totwq5_bu_sw4 wealthqw4

svyset, clear
svyset [pweight=w8w4lwgt], psu(psu) 
drop if w8w4lwgt==. /* 12351 observations deleted --> N= 5623 with weights*/
tab indsexw4
tab indsexw5
tab indsexw6
tab indsexw7
tab indsexw8

replace gaitw4=. if gaitw4<0
replace gaitw5=. if gaitw5<0
replace gaitw6=. if gaitw6<0
replace gaitw7=. if gaitw7<0
replace gaitw8=. if gaitw8<0

tab agegrw4,nolab
gen ageg1=agegrw4
replace ageg1=. if agegrw4<2
tab ageg1
tab ageg1, sum (gaitw4) 
tab ageg1, sum (gaitw5) 
tab ageg1, sum (gaitw6) 
tab ageg1, sum (gaitw7) 
tab ageg1, sum (gaitw8) 

gen painactw4=0 if pa5levelw4>0
replace painactw4=1 if pa5levelw4==0
replace painactw4=. if pa5levelw4==.
lab var painactw4 "physically inactive"
tab painactw4


tab  cigstw4
gen smoking4=.
replace smoking4=1 if  cigstw4==2
replace smoking4=0 if  cigstw4<2
tab smoking4

tab  cigstw5
gen smoking5=.
replace smoking5=1 if  cigstw5==2
replace smoking5=0 if  cigstw5<2
tab smoking5

tab  cigstw6
gen smoking6=.
replace smoking6=1 if  cigstw6==2
replace smoking6=0 if  cigstw6<2
tab smoking6

tab  cigstw7
gen smoking7=.
replace smoking7=1 if  cigstw7==2
replace smoking7=0 if  cigstw7<2
tab smoking7

tab  cigstw8
gen smoking8=.
replace smoking8=1 if  cigstw8==2
replace smoking8=0 if  cigstw8<2
tab smoking8

tab adlcntw4
gen adl24=0 if adlcntw4==0
replace adl24=1 if adlcntw4>=1 & adlcntw4<=6
gen adl25=0 if adlcntw5==0
replace adl25=1 if adlcntw5>=1 & adlcntw5<=6
gen adl26=0 if adlcntw6==0
replace adl26=1 if adlcntw6>=1 & adlcntw6<=6
gen adl27=0 if adlcntw7==0
replace adl27=1 if adlcntw7>=1 & adlcntw7<=6
gen adl28=0 if adlcntw8==0
replace adl28=1 if adlcntw8>=1 & adlcntw8<=6

tab iadlcntw4
gen iadl24=0 if iadlcntw4==0
replace iadl24=1 if iadlcntw4>=1 & iadlcntw4<=9
gen iadl25=0 if iadlcntw5==0
replace iadl25=1 if iadlcntw5>=1 & iadlcntw5<=9
gen iadl26=0 if iadlcntw6==0
replace iadl26=1 if iadlcntw6>=1 & iadlcntw6<=9
gen iadl27=0 if iadlcntw7==0
replace iadl27=1 if iadlcntw7>=1 & iadlcntw7<=9
gen iadl28=0 if iadlcntw8==0
replace iadl28=1 if iadlcntw8>=1 & iadlcntw8<=


/*********************************************************************************/
/*********************************************************************************/
/*********************************************************************************/

log using "N:\STATS\ELSA\STATA\WAVE 8 REPORT\Longitudinal_health_tables_w4_w8_240518.log", replace

**Table L1a**
preserve
drop if srh24 ==. | srh25==. | srh26 ==. | srh27==. | srh28==. 

tab agegrw4 srh24 if sexnumw4==0 /*2379*/
svy:tab agegrw4 srh24 if sexnumw4==0 , row per 
svy:tab agegrw4 srh25 if sexnumw4==0 , row per 
svy:tab agegrw4 srh26 if sexnumw4==0 , row per 
svy:tab agegrw4 srh27 if sexnumw4==0 , row per 
svy:tab agegrw4 srh28 if sexnumw4==0 , row per 

tab agegrw4 srh24 if sexnumw4==1 /*3091*/
svy:tab agegrw4 srh24 if sexnumw4==1 , row per 
svy:tab agegrw4 srh25 if sexnumw4==1 , row per 
svy:tab agegrw4 srh26 if sexnumw4==1 , row per 
svy:tab agegrw4 srh27 if sexnumw4==1 , row per 
svy:tab agegrw4 srh28 if sexnumw4==1 , row per 



**Table L1b**
tab wealthqw4 srh24 if sexnumw4==0
svy:tab  wealthqw4 srh24 if sexnumw4==0 ,  row per  
svy:tab  wealthqw4 srh25 if sexnumw4==0 ,  row per 
svy:tab  wealthqw4 srh26 if sexnumw4==0 ,  row per 
svy:tab  wealthqw4 srh27 if sexnumw4==0 ,  row per 
svy:tab  wealthqw4 srh28 if sexnumw4==0 ,  row per 

tab wealthqw4 srh24 if sexnumw4==1 /*2953*/
svy:tab  wealthqw4 srh24 if sexnumw4==1 ,  row per  
svy:tab  wealthqw4 srh25 if sexnumw4==1 ,  row per 
svy:tab  wealthqw4 srh26 if sexnumw4==1 ,  row per 
svy:tab  wealthqw4 srh27 if sexnumw4==1 ,  row per 
svy:tab  wealthqw4 srh28 if sexnumw4==1 ,  row per 

restore
/********************/
/* Chronic diseases */
/* CHD */
**Table L2a**
preserve
drop if chdw4_ ==. | chdw5_==. | chdw6_ ==. | chdw7_==. | chdw8_==. /*2379*/
tab agegrw4 chdw4_ if sexnumw4==0
svy:tab agegrw4 chdw4_ if sexnumw4==0 , row per 
svy:tab agegrw4 chdw5_ if sexnumw4==0 , row per 
svy:tab agegrw4 chdw6_ if sexnumw4==0 , row per 
svy:tab agegrw4 chdw7_ if sexnumw4==0 , row per 
svy:tab agegrw4 chdw8_ if sexnumw4==0 , row per 
tab agegrw4 chdw4_ if sexnumw4==1
svy:tab agegrw4 chdw4_ if sexnumw4==1 , row per 
svy:tab agegrw4 chdw5_ if sexnumw4==1 , row per 
svy:tab agegrw4 chdw6_ if sexnumw4==1 , row per 
svy:tab agegrw4 chdw7_ if sexnumw4==1 , row per 
svy:tab agegrw4 chdw8_ if sexnumw4==1 , row per 

**Table L2b**
tab wealthqw4 chdw4_ if sexnumw4==0
svy:tab wealthqw4 chdw4_ if sexnumw4==0 , row per 
svy:tab wealthqw4 chdw5_ if sexnumw4==0 , row per 
svy:tab wealthqw4 chdw6_ if sexnumw4==0 , row per 
svy:tab wealthqw4 chdw7_ if sexnumw4==0 , row per 
svy:tab wealthqw4 chdw8_ if sexnumw4==0 , row per 
tab wealthqw4 chdw4_ if sexnumw4==1
svy:tab wealthqw4 chdw4_ if sexnumw4==1 , row per 
svy:tab wealthqw4 chdw5_ if sexnumw4==1 , row per 
svy:tab wealthqw4 chdw6_ if sexnumw4==1 , row per 
svy:tab wealthqw4 chdw7_ if sexnumw4==1 , row per 
svy:tab wealthqw4 chdw8_ if sexnumw4==1 , row per 
restore

/*************/
/* DIABETES */
**Table L3a**
preserve
drop if diabetesw4_ ==. | diabetesw5_==. | diabetesw6_ ==. | diabetesw7_==. | diabetesw8_==. /*2379*/
tab agegrw4 diabetesw4_ if sexnumw4==0
svy:tab agegrw4 diabetesw4_ if sexnumw4==0 , row per 
svy:tab agegrw4 diabetesw5_ if sexnumw4==0 , row per 
svy:tab agegrw4 diabetesw6_ if sexnumw4==0 , row per 
svy:tab agegrw4 diabetesw7_ if sexnumw4==0 , row per 
svy:tab agegrw4 diabetesw8_ if sexnumw4==0 , row per 
tab agegrw4 diabetesw4_ if sexnumw4==1
svy:tab agegrw4 diabetesw4_ if sexnumw4==1 , row per 
svy:tab agegrw4 diabetesw5_ if sexnumw4==1 , row per 
svy:tab agegrw4 diabetesw6_ if sexnumw4==1 , row per 
svy:tab agegrw4 diabetesw7_ if sexnumw4==1 , row per 
svy:tab agegrw4 diabetesw8_ if sexnumw4==1 , row per 

**Table L3b**
tab wealthqw4 diabetesw4_ if sexnumw4==0
svy:tab wealthqw4 diabetesw4_ if sexnumw4==0 , row per 
svy:tab wealthqw4 diabetesw5_ if sexnumw4==0 , row per 
svy:tab wealthqw4 diabetesw6_ if sexnumw4==0 , row per 
svy:tab wealthqw4 diabetesw7_ if sexnumw4==0 , row per 
svy:tab wealthqw4 diabetesw8_ if sexnumw4==0 , row per 
tab wealthqw4 diabetesw4_ if sexnumw4==1
svy:tab wealthqw4 diabetesw4_ if sexnumw4==1 , row per 
svy:tab wealthqw4 diabetesw5_ if sexnumw4==1 , row per 
svy:tab wealthqw4 diabetesw6_ if sexnumw4==1 , row per 
svy:tab wealthqw4 diabetesw7_ if sexnumw4==1 , row per 
svy:tab wealthqw4 diabetesw8_ if sexnumw4==1 , row per 
restore

/****************/
/* CANCER */
**Table L4a**
preserve
drop if cancerw4_ ==. | cancerw5_==. | cancerw6_ ==. | cancerw7_==. | cancerw8_==. /*2379*/
tab agegrw4 cancerw4_ if sexnumw4==0
svy:tab agegrw4 cancerw4_ if sexnumw4==0 , row per 
svy:tab agegrw4 cancerw5_ if sexnumw4==0 , row per 
svy:tab agegrw4 cancerw6_ if sexnumw4==0 , row per 
svy:tab agegrw4 cancerw7_ if sexnumw4==0 , row per 
svy:tab agegrw4 cancerw8_ if sexnumw4==0 , row per 
tab agegrw4 cancerw4_ if sexnumw4==1
svy:tab agegrw4 cancerw4_ if sexnumw4==1 , row per 
svy:tab agegrw4 cancerw5_ if sexnumw4==1 , row per 
svy:tab agegrw4 cancerw6_ if sexnumw4==1 , row per 
svy:tab agegrw4 cancerw7_ if sexnumw4==1 , row per 
svy:tab agegrw4 cancerw8_ if sexnumw4==1 , row per 


**Table L4b**
tab wealthqw4 cancerw4_ if sexnumw4==0
svy:tab wealthqw4 cancerw4_ if sexnumw4==0 , row per 
svy:tab wealthqw4 cancerw5_ if sexnumw4==0 , row per 
svy:tab wealthqw4 cancerw6_ if sexnumw4==0 , row per 
svy:tab wealthqw4 cancerw7_ if sexnumw4==0 , row per 
svy:tab wealthqw4 cancerw8_ if sexnumw4==0 , row per 
tab wealthqw4 cancerw4_ if sexnumw4==1
svy:tab wealthqw4 cancerw4_ if sexnumw4==1 , row per 
svy:tab wealthqw4 cancerw5_ if sexnumw4==1 , row per 
svy:tab wealthqw4 cancerw6_ if sexnumw4==1 , row per 
svy:tab wealthqw4 cancerw7_ if sexnumw4==1 , row per 
svy:tab wealthqw4 cancerw8_ if sexnumw4==1 , row per 
restore

/******************/
/* DEPRESSION */
**Table L5a**

preserve
drop if depressw4_ ==. | depressw5_==. | depressw6_ ==. | depressw7_==. | depressw8_==. /*2379*/
tab agegrw4 depressw4_ if sexnumw4==0
svy:tab agegrw4 depressw4_ if sexnumw4==0 , row per 
svy:tab agegrw4 depressw5_ if sexnumw4==0 , row per 
svy:tab agegrw4 depressw6_ if sexnumw4==0 , row per 
svy:tab agegrw4 depressw7_ if sexnumw4==0 , row per 
svy:tab agegrw4 depressw8_ if sexnumw4==0 , row per 
tab agegrw4 depressw4_ if sexnumw4==1
svy:tab agegrw4 depressw4_ if sexnumw4==1 , row per 
svy:tab agegrw4 depressw5_ if sexnumw4==1 , row per 
svy:tab agegrw4 depressw6_ if sexnumw4==1 , row per 
svy:tab agegrw4 depressw7_ if sexnumw4==1 , row per 
svy:tab agegrw4 depressw8_ if sexnumw4==1 , row per 


**Table L5b**
tab wealthqw4 depressw4_ if sexnumw4==0
svy:tab wealthqw4 depressw4_ if sexnumw4==0 , row per 
svy:tab wealthqw4 depressw5_ if sexnumw4==0 , row per 
svy:tab wealthqw4 depressw6_ if sexnumw4==0 , row per 
svy:tab wealthqw4 depressw7_ if sexnumw4==0 , row per 
svy:tab wealthqw4 depressw8_ if sexnumw4==0 , row per 
tab wealthqw4 depressw4_ if sexnumw4==1
svy:tab wealthqw4 depressw4_ if sexnumw4==1 , row per 
svy:tab wealthqw4 depressw5_ if sexnumw4==1 , row per 
svy:tab wealthqw4 depressw6_ if sexnumw4==1 , row per 
svy:tab wealthqw4 depressw7_ if sexnumw4==1 , row per 
svy:tab wealthqw4 depressw8_ if sexnumw4==1 , row per 
restore

/****************/
/* ADL */
**Table L6a**
preserve
drop if adl24 ==. | adl25==. | adl26 ==. | adl27==. | adl28==. 
tab agegrw4 adl24 if sexnumw4==0
svy:tab agegrw4 adl24 if sexnumw4==0 , row per 
svy:tab agegrw4 adl25 if sexnumw4==0 , row per 
svy:tab agegrw4 adl26 if sexnumw4==0 , row per 
svy:tab agegrw4 adl27 if sexnumw4==0 , row per 
svy:tab agegrw4 adl28 if sexnumw4==0 , row per 
tab agegrw4 adl24 if sexnumw4==1
svy:tab agegrw4 adl24 if sexnumw4==1 , row per 
svy:tab agegrw4 adl25 if sexnumw4==1 , row per 
svy:tab agegrw4 adl26 if sexnumw4==1 , row per 
svy:tab agegrw4 adl27 if sexnumw4==1 , row per 
svy:tab agegrw4 adl28 if sexnumw4==1 , row per 


**Table L5b**
tab wealthqw4 adl24 if sexnumw4==0
svy:tab wealthqw4 adl24 if sexnumw4==0 , row per 
svy:tab wealthqw4 adl25 if sexnumw4==0 , row per 
svy:tab wealthqw4 adl26 if sexnumw4==0 , row per 
svy:tab wealthqw4 adl27 if sexnumw4==0 , row per 
svy:tab wealthqw4 adl28 if sexnumw4==0 , row per 
tab wealthqw4 adl24 if sexnumw4==1
svy:tab wealthqw4 adl24 if sexnumw4==1 , row per 
svy:tab wealthqw4 adl25 if sexnumw4==1 , row per 
svy:tab wealthqw4 adl26 if sexnumw4==1 , row per 
svy:tab wealthqw4 adl27 if sexnumw4==1 , row per 
svy:tab wealthqw4 adl28 if sexnumw4==1 , row per 


/* IADL */
svy:tab agegrw4 iadl24 if sexnumw4==0 , row per 
svy:tab agegrw4 iadl25 if sexnumw4==0 , row per 
svy:tab agegrw4 iadl26 if sexnumw4==0 , row per 
svy:tab agegrw4 iadl27 if sexnumw4==0 , row per 
svy:tab agegrw4 iadl28 if sexnumw4==0 , row per 
tab agegrw4 iadl24 if sexnumw4==1
svy:tab agegrw4 iadl24 if sexnumw4==1 , row per 
svy:tab agegrw4 iadl25 if sexnumw4==1 , row per 
svy:tab agegrw4 iadl26 if sexnumw4==1 , row per 
svy:tab agegrw4 iadl27 if sexnumw4==1 , row per 
svy:tab agegrw4 iadl28 if sexnumw4==1 , row per 


**Table L5b**
tab wealthqw4 iadl24 if sexnumw4==0
svy:tab wealthqw4 iadl24 if sexnumw4==0 , row per 
svy:tab wealthqw4 iadl25 if sexnumw4==0 , row per 
svy:tab wealthqw4 iadl26 if sexnumw4==0 , row per 
svy:tab wealthqw4 iadl27 if sexnumw4==0 , row per 
svy:tab wealthqw4 iadl28 if sexnumw4==0 , row per 
tab wealthqw4 iadl24 if sexnumw4==1
svy:tab wealthqw4 iadl24 if sexnumw4==1 , row per 
svy:tab wealthqw4 iadl25 if sexnumw4==1 , row per 
svy:tab wealthqw4 iadl26 if sexnumw4==1 , row per 
svy:tab wealthqw4 iadl27 if sexnumw4==1 , row per 
svy:tab wealthqw4 iadl28 if sexnumw4==1 , row per 

restore
/***************/
**Table L6a**


preserve 
drop if gaitw4 ==. | gaitw5==. | gaitw6 ==. | gaitw7==. | gaitw8==. 
tab ageg1 sexnumw4 
mean gaitw4 if sexnumw4==0, over(ageg1)
mean gaitw5 if sexnumw4==0, over(ageg1)
mean gaitw6 if sexnumw4==0, over(ageg1)
mean gaitw7 if sexnumw4==0, over(ageg1)
mean gaitw8 if sexnumw4==0, over(ageg1)
mean gaitw4 gaitw5 gaitw6 gaitw7 gaitw8 if sexnumw4==0 & ageg1>0

mean gaitw4 if sexnumw4==1, over(ageg1)
mean gaitw5 if sexnumw4==1, over(ageg1)
mean gaitw6 if sexnumw4==1, over(ageg1)
mean gaitw7 if sexnumw4==1, over(ageg1)
mean gaitw8 if sexnumw4==1, over(ageg1)
mean gaitw4 gaitw5 gaitw6 gaitw7 gaitw8 if sexnumw4==1 & ageg1>0

**Table L6b**
tab wealthqw4 sexnumw4 
mean gaitw4 if sexnumw4==0, over(wealthqw4)
mean gaitw5 if sexnumw4==0, over(wealthqw4)
mean gaitw6 if sexnumw4==0, over(wealthqw4)
mean gaitw7 if sexnumw4==0, over(wealthqw4)
mean gaitw8 if sexnumw4==0, over(wealthqw4)

mean gaitw4 if sexnumw4==1, over(wealthqw4)
mean gaitw5 if sexnumw4==1, over(wealthqw4)
mean gaitw6 if sexnumw4==1, over(wealthqw4)
mean gaitw7 if sexnumw4==1, over(wealthqw4)
mean gaitw8 if sexnumw4==1, over(wealthqw4)
restore
/**************/
/* COGNITION */
/***Table L7a***/
preserve
drop if cfmew4 ==. | cfmew5==. | cfmew6 ==. | cfmew7==. | cfmew8==. 
tab agegrw4 sexnumw4 if cfmew4!=.
mean cfmew4 if sexnumw4==0, over(agegrw4)
mean cfmew5 if sexnumw4==0, over(agegrw4)
mean cfmew6 if sexnumw4==0, over(agegrw4)
mean cfmew7 if sexnumw4==0, over(agegrw4)
mean cfmew8 if sexnumw4==0, over(agegrw4)
mean cfmew4 cfmew5 cfmew6 cfmew7 cfmew8 if sexnumw4==0 

mean cfmew4 if sexnumw4==1, over(agegrw4)
mean cfmew5 if sexnumw4==1, over(agegrw4)
mean cfmew6 if sexnumw4==1, over(agegrw4)
mean cfmew7 if sexnumw4==1, over(agegrw4)
mean cfmew8 if sexnumw4==1, over(agegrw4)
mean cfmew4 cfmew5 cfmew6 cfmew7 cfmew8 if sexnumw4==1 

**Table L7b**
tab wealthqw4 sexnumw4 
mean cfmew4 if sexnumw4==0, over(wealthqw4)
mean cfmew5 if sexnumw4==0, over(wealthqw4)
mean cfmew6 if sexnumw4==0, over(wealthqw4)
mean cfmew7 if sexnumw4==0, over(wealthqw4)
mean cfmew8 if sexnumw4==0, over(wealthqw4)

mean cfmew4 if sexnumw4==1, over(wealthqw4)
mean cfmew5 if sexnumw4==1, over(wealthqw4)
mean cfmew6 if sexnumw4==1, over(wealthqw4)
mean cfmew7 if sexnumw4==1, over(wealthqw4)
mean cfmew8 if sexnumw4==1, over(wealthqw4)

restore
/*************/
**Table L8a**


preserve
drop if smoking4==. | smoking5==. | smoking6==. | smoking7==. | smoking8==.  
tab agegrw4 smoking4 if sexnumw4==0
svy:tab agegrw4 smoking4 if sexnumw4==0 , row per 
svy:tab agegrw4 smoking5 if sexnumw4==0 , row per 
svy:tab agegrw4 smoking6 if sexnumw4==0 , row per 
svy:tab agegrw4 smoking7 if sexnumw4==0 , row per 
svy:tab agegrw4 smoking8 if sexnumw4==0 , row per 

tab agegrw4 smoking4 if sexnumw4==1
svy:tab agegrw4 smoking4 if sexnumw4==1 , row per 
svy:tab agegrw4 smoking5 if sexnumw4==1 , row per 
svy:tab agegrw4 smoking6 if sexnumw4==1 , row per 
svy:tab agegrw4 smoking7 if sexnumw4==1 , row per 
svy:tab agegrw4 smoking8 if sexnumw4==1 , row per 


**Table L8b**
tab wealthqw4 smoking4 if sexnumw4==0
svy:tab wealthqw4 smoking4 if sexnumw4==0 , row per 
svy:tab wealthqw4 smoking5 if sexnumw4==0 , row per 
svy:tab wealthqw4 smoking6 if sexnumw4==0 , row per 
svy:tab wealthqw4 smoking7 if sexnumw4==0 , row per 
svy:tab wealthqw4 smoking8 if sexnumw4==0 , row per 

tab wealthqw4 smoking4 if sexnumw4==1
svy:tab wealthqw4 smoking4 if sexnumw4==1 , row per 
svy:tab wealthqw4 smoking5 if sexnumw4==1 , row per 
svy:tab wealthqw4 smoking6 if sexnumw4==1 , row per 
svy:tab wealthqw4 smoking7 if sexnumw4==1 , row per 
svy:tab wealthqw4 smoking8 if sexnumw4==1 , row per 
restore

/************/
**Table L9a**

preserve
drop if painactw4==. | painactw5==. | painactw6==. | painactw7==. | painactw8==.  
tab agegrw4 painactw4 if sexnumw4==0
svy:tab agegrw4 painactw4 if sexnumw4==0 , row per 
svy:tab agegrw4 painactw5 if sexnumw4==0 , row per 
svy:tab agegrw4 painactw6 if sexnumw4==0 , row per 
svy:tab agegrw4 painactw7 if sexnumw4==0 , row per 
svy:tab agegrw4 painactw8 if sexnumw4==0 , row per 
tab agegrw4 painactw4 if sexnumw4==1
svy:tab agegrw4 painactw4 if sexnumw4==1 , row per 
svy:tab agegrw4 painactw5 if sexnumw4==1 , row per 
svy:tab agegrw4 painactw6 if sexnumw4==1 , row per 
svy:tab agegrw4 painactw7 if sexnumw4==1 , row per 
svy:tab agegrw4 painactw8 if sexnumw4==1 , row per 


**Table L9b**
tab wealthqw4 painactw4 if sexnumw4==0
svy:tab wealthqw4 painactw4 if sexnumw4==0 , row per 
svy:tab wealthqw4 painactw5 if sexnumw4==0 , row per 
svy:tab wealthqw4 painactw6 if sexnumw4==0 , row per 
svy:tab wealthqw4 painactw7 if sexnumw4==0 , row per 
svy:tab wealthqw4 painactw8 if sexnumw4==0 , row per 
tab wealthqw4 painactw4 if sexnumw4==1
svy:tab wealthqw4 painactw4 if sexnumw4==1 , row per 
svy:tab wealthqw4 painactw5 if sexnumw4==1 , row per 
svy:tab wealthqw4 painactw6 if sexnumw4==1 , row per 
svy:tab wealthqw4 painactw7 if sexnumw4==1 , row per 
svy:tab wealthqw4 painactw8 if sexnumw4==1 , row per 
restore

/* ALCOHOL */
preserve
drop if alcohw4==. | alcohw5==. | alcohw6==. | alcohw7==. | alcohw8==.  
tab agegrw4 alcohw4 if sexnumw4==0
svy:tab agegrw4 alcohw4 if sexnumw4==0 , row per 
svy:tab agegrw4 alcohw5 if sexnumw4==0 , row per 
svy:tab agegrw4 alcohw6 if sexnumw4==0 , row per 
svy:tab agegrw4 alcohw7 if sexnumw4==0 , row per 
svy:tab agegrw4 alcohw8 if sexnumw4==0 , row per 
tab agegrw4 alcohw4 if sexnumw4==1
svy:tab agegrw4 alcohw4 if sexnumw4==1 , row per 
svy:tab agegrw4 alcohw5 if sexnumw4==1 , row per 
svy:tab agegrw4 alcohw6 if sexnumw4==1 , row per 
svy:tab agegrw4 alcohw7 if sexnumw4==1 , row per 
svy:tab agegrw4 alcohw8 if sexnumw4==1 , row per 


**Table L9b**
tab wealthqw4 alcohw4 if sexnumw4==0
svy:tab wealthqw4 alcohw4 if sexnumw4==0 , row per 
svy:tab wealthqw4 alcohw5 if sexnumw4==0 , row per 
svy:tab wealthqw4 alcohw6 if sexnumw4==0 , row per 
svy:tab wealthqw4 alcohw7 if sexnumw4==0 , row per 
svy:tab wealthqw4 alcohw8 if sexnumw4==0 , row per 
tab wealthqw4 alcohw4 if sexnumw4==1
svy:tab wealthqw4 alcohw4 if sexnumw4==1 , row per 
svy:tab wealthqw4 alcohw5 if sexnumw4==1 , row per 
svy:tab wealthqw4 alcohw6 if sexnumw4==1 , row per 
svy:tab wealthqw4 alcohw7 if sexnumw4==1 , row per 
svy:tab wealthqw4 alcohw8 if sexnumw4==1 , row per 
restore

log close
